<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>Operation (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Operation (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html" title="class in com.sk89q.worldedit.function.operation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/operation/OperationQueue.html" title="class in com.sk89q.worldedit.function.operation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/operation/Operation.html" target="_top">Frames</a></li>
<li><a href="Operation.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.function.operation</div>
<h2 title="Interface Operation" class="title">Interface Operation</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html" title="class in com.sk89q.worldedit.function.visitor">BreadthFirstSearch</a>, <a href="../../../../../com/sk89q/worldedit/function/operation/ChangeSetExecutor.html" title="class in com.sk89q.worldedit.function.operation">ChangeSetExecutor</a>, <a href="../../../../../com/sk89q/worldedit/function/operation/DelegateOperation.html" title="class in com.sk89q.worldedit.function.operation">DelegateOperation</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/DownwardVisitor.html" title="class in com.sk89q.worldedit.function.visitor">DownwardVisitor</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/EntityVisitor.html" title="class in com.sk89q.worldedit.function.visitor">EntityVisitor</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/FlatRegionVisitor.html" title="class in com.sk89q.worldedit.function.visitor">FlatRegionVisitor</a>, <a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html" title="class in com.sk89q.worldedit.function.operation">ForwardExtentCopy</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/LayerVisitor.html" title="class in com.sk89q.worldedit.function.visitor">LayerVisitor</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/NonRisingVisitor.html" title="class in com.sk89q.worldedit.function.visitor">NonRisingVisitor</a>, <a href="../../../../../com/sk89q/worldedit/function/operation/OperationQueue.html" title="class in com.sk89q.worldedit.function.operation">OperationQueue</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/RecursiveVisitor.html" title="class in com.sk89q.worldedit.function.visitor">RecursiveVisitor</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/RegionVisitor.html" title="class in com.sk89q.worldedit.function.visitor">RegionVisitor</a>, <a href="../../../../../com/sk89q/worldedit/function/operation/SetLocatedBlocks.html" title="class in com.sk89q.worldedit.function.operation">SetLocatedBlocks</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Operation</span></pre>
<div class="block">An task that may be split into multiple steps to be run sequentially
 immediately or at a varying or fixed interval. Operations should attempt
 to break apart tasks into smaller tasks that can be completed in quicker
 successions.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#addStatusMessages-java.util.List-">addStatusMessages</a></span>(java.util.List&lt;java.lang.String&gt;&nbsp;messages)</code>
<div class="block">Add messages to the provided list that describe the current status
 of the operation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#cancel--">cancel</a></span>()</code>
<div class="block">Abort the current task.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#resume-com.sk89q.worldedit.function.operation.RunContext-">resume</a></span>(<a href="../../../../../com/sk89q/worldedit/function/operation/RunContext.html" title="class in com.sk89q.worldedit.function.operation">RunContext</a>&nbsp;run)</code>
<div class="block">Complete the next step.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="resume-com.sk89q.worldedit.function.operation.RunContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resume</h4>
<pre><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a>&nbsp;resume(<a href="../../../../../com/sk89q/worldedit/function/operation/RunContext.html" title="class in com.sk89q.worldedit.function.operation">RunContext</a>&nbsp;run)
          throws <a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block">Complete the next step. If this method returns true, then the method may
 be called again in the future, or possibly never. If this method
 returns false, then this method should not be called again.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>run</code> - describes information about the current run</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>another operation to run that operation again, or null to stop</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code> - an error</dd>
</dl>
</li>
</ul>
<a name="cancel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancel</h4>
<pre>void&nbsp;cancel()</pre>
<div class="block">Abort the current task. After the this method is called,
 <a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#resume-com.sk89q.worldedit.function.operation.RunContext-"><code>resume(RunContext)</code></a> should not be called at any point in the
 future. This method should not be called after successful completion of
 the operation. This method must be called if the operation is
 interrupted before completion.</div>
</li>
</ul>
<a name="addStatusMessages-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addStatusMessages</h4>
<pre>void&nbsp;addStatusMessages(java.util.List&lt;java.lang.String&gt;&nbsp;messages)</pre>
<div class="block">Add messages to the provided list that describe the current status
 of the operation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>messages</code> - The list to add messages to</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/operation/ForwardExtentCopy.html" title="class in com.sk89q.worldedit.function.operation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/operation/OperationQueue.html" title="class in com.sk89q.worldedit.function.operation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/operation/Operation.html" target="_top">Frames</a></li>
<li><a href="Operation.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
